Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.maven
[Java] Interface MavenDependency

    @Incubating
    @HasInternalProtocol
    public interface MavenDependency

A dependency declared as part of an MavenPublication.

Method Summary
`String` | `getArtifactId()` The artifactId value for this dependency.
`String` | `getGroupId()` The groupId value for this dependency.
`String` | `getVersion()` The version value for this dependency.

Method Detail

### getArtifactId

    public String getArtifactId()

  The artifactId value for this dependency.

### getGroupId

    public String getGroupId()

  The groupId value for this dependency.

### getVersion

    public String getVersion()

  The version value for this dependency.

Gradle API 1.10